

class MeansModel {
  List<MeansDetailModel> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  MeansModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  MeansModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<MeansDetailModel>();
      json['records'].forEach((v) {
        records.add(new MeansDetailModel.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class MeansDetailModel {
  int id;
  int createTime;
  Null createBy;
  int updateTime;
  Null updateBy;
  int brandId;
  int dataTable;
  int dataId;
  int catagoryId;
  String name;
  String url;
  int statuz;
  int browseNum;
  int downloadNum;
  String brandName;
  String catagoryName;
  String dataTableName;

  MeansDetailModel(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.brandId,
      this.dataTable,
      this.dataId,
      this.catagoryId,
      this.name,
      this.url,
      this.statuz,
      this.browseNum,
      this.downloadNum,
      this.brandName,
      this.catagoryName,
      this.dataTableName});

  MeansDetailModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    brandId = json['brandId'];
    dataTable = json['dataTable'];
    dataId = json['dataId'];
    catagoryId = json['catagoryId'];
    name = json['name'];
    url = json['url'];
    statuz = json['statuz'];
    browseNum = json['browseNum'];
    downloadNum = json['downloadNum'];
    brandName = json['brandName'];
    catagoryName = json['catagoryName'];
    dataTableName = json['dataTableName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['brandId'] = this.brandId;
    data['dataTable'] = this.dataTable;
    data['dataId'] = this.dataId;
    data['catagoryId'] = this.catagoryId;
    data['name'] = this.name;
    data['url'] = this.url;
    data['statuz'] = this.statuz;
    data['browseNum'] = this.browseNum;
    data['downloadNum'] = this.downloadNum;
    data['brandName'] = this.brandName;
    data['catagoryName'] = this.catagoryName;
    data['dataTableName'] = this.dataTableName;
    return data;
  }
}

// class MeansModel {
//   List<MeansDetailModel> records;
//   int total;
//   int size;
//   int current;
//   bool searchCount;
//   int pages;

//   MeansModel(
//       {this.records,
//       this.total,
//       this.size,
//       this.current,
//       this.searchCount,
//       this.pages});

//   MeansModel.fromJson(Map<String, dynamic> json) {
//     if (json['records'] != null) {
//       records = new List<MeansDetailModel>();
//       json['records'].forEach((v) {
//         records.add(new MeansDetailModel.fromJson(v));
//       });
//     }
//     total = json['total'];
//     size = json['size'];
//     current = json['current'];
//     searchCount = json['searchCount'];
//     pages = json['pages'];
//   }

//   Map<String, dynamic> toJson() {
//     final Map<String, dynamic> data = new Map<String, dynamic>();
//     if (this.records != null) {
//       data['records'] = this.records.map((v) => v.toJson()).toList();
//     }
//     data['total'] = this.total;
//     data['size'] = this.size;
//     data['current'] = this.current;
//     data['searchCount'] = this.searchCount;
//     data['pages'] = this.pages;
//     return data;
//   }
// }

// class MeansDetailModel {
//   int id;
//   int createTime;
//   Null createBy;
//   int updateTime;
//   Null updateBy;
//   Null brandId;
//   int dataTable;
//   Null dataId;
//   Null catagoryId;
//   String name;
//   String url;
//   int statuz;
//   int browseNum;
//   int downloadNum;
//   Null brandName;
//   Null catagoryName;
//   String dataTableName;

//   MeansDetailModel(
//       {this.id,
//       this.createTime,
//       this.createBy,
//       this.updateTime,
//       this.updateBy,
//       this.brandId,
//       this.dataTable,
//       this.dataId,
//       this.catagoryId,
//       this.name,
//       this.url,
//       this.statuz,
//       this.browseNum,
//       this.downloadNum,
//       this.brandName,
//       this.catagoryName,
//       this.dataTableName});

//   MeansDetailModel.fromJson(Map<String, dynamic> json) {
//     id = json['id'];
//     createTime = json['createTime'];
//     createBy = json['createBy'];
//     updateTime = json['updateTime'];
//     updateBy = json['updateBy'];
//     brandId = json['brandId'];
//     dataTable = json['dataTable'];
//     dataId = json['dataId'];
//     catagoryId = json['catagoryId'];
//     name = json['name'];
//     url = json['url'];
//     statuz = json['statuz'];
//     browseNum = json['browseNum'];
//     downloadNum = json['downloadNum'];
//     brandName = json['brandName'];
//     catagoryName = json['catagoryName'];
//     dataTableName = json['dataTableName'];
//   }

//   Map<String, dynamic> toJson() {
//     final Map<String, dynamic> data = new Map<String, dynamic>();
//     data['id'] = this.id;
//     data['createTime'] = this.createTime;
//     data['createBy'] = this.createBy;
//     data['updateTime'] = this.updateTime;
//     data['updateBy'] = this.updateBy;
//     data['brandId'] = this.brandId;
//     data['dataTable'] = this.dataTable;
//     data['dataId'] = this.dataId;
//     data['catagoryId'] = this.catagoryId;
//     data['name'] = this.name;
//     data['url'] = this.url;
//     data['statuz'] = this.statuz;
//     data['browseNum'] = this.browseNum;
//     data['downloadNum'] = this.downloadNum;
//     data['brandName'] = this.brandName;
//     data['catagoryName'] = this.catagoryName;
//     data['dataTableName'] = this.dataTableName;
//     return data;
//   }
// }
