// class SearchModel {
//   String code;
//   List<InfoList> infoList;

//   SearchModel({this.code, this.infoList});

//   SearchModel.fromJson(Map<String, dynamic> json) {
//     if(json['code'] != null){
//       code = json['code'];
//     }

//     if (json['infoList'] != null) {
//       infoList = new List<InfoList>();
//       json['infoList'].forEach((v) {
//         infoList.add(new InfoList.fromJson(v));
//       });
//     }
//   }

//   Map<String, dynamic> toJson() {
//     final Map<String, dynamic> data = new Map<String, dynamic>();
//     if(this.code != null){
//       data['code'] = this.code;
//     }

//     if (this.infoList != null) {
//       data['infoList'] = this.infoList.map((v) => v.toJson()).toList();
//     }
//     return data;
//   }
// }

// class InfoList {
//   int id;
//   int createTime;
//   String createBy;
//   int updateTime;
//   String updateBy;
//   String title;
//   String expression;
//   String solution;
//   String imgs;
//   int brandId;
//   int expert;
//   double reward;
//   int lockFlag;
//   int hotFlag;
//   int statuz;
//   int favoriteNum;
//   int likeNum;
//   int browseNum;
//   int tipNum;
//   int examineFlag;
//   String notExamineReason;
//   int validPeriod;
//   String userName;
//   String brandName;
//   String avatarUrl;
//   int isLike;
//   int isFavorite;

//   InfoList(
//       {this.id,
//       this.createTime,
//       this.createBy,
//       this.updateTime,
//       this.updateBy,
//       this.title,
//       this.expression,
//       this.solution,
//       this.imgs,
//       this.brandId,
//       this.expert,
//       this.reward,
//       this.lockFlag,
//       this.hotFlag,
//       this.statuz,
//       this.favoriteNum,
//       this.likeNum,
//       this.browseNum,
//       this.tipNum,
//       this.examineFlag,
//       this.notExamineReason,
//       this.validPeriod,
//       this.userName,
//       this.brandName,
//       this.avatarUrl,
//       this.isLike,
//       this.isFavorite});

//   InfoList.fromJson(Map<String, dynamic> json) {
//     id = json['id'];
//     createTime = json['createTime'];
//     createBy = json['createBy'];
//     updateTime = json['updateTime'];
//     updateBy = json['updateBy'];
//     title = json['title'];
//     expression = json['expression'];
//     solution = json['solution'];
//     imgs = json['imgs'];
//     brandId = json['brandId'];
//     expert = json['expert'];
//     reward = json['reward'];
//     lockFlag = json['lockFlag'];
//     hotFlag = json['hotFlag'];
//     statuz = json['statuz'];
//     favoriteNum = json['favoriteNum'];
//     likeNum = json['likeNum'];
//     browseNum = json['browseNum'];
//     tipNum = json['tipNum'];
//     examineFlag = json['examineFlag'];
//     notExamineReason = json['notExamineReason'];
//     validPeriod = json['validPeriod'];
//     userName = json['userName'];
//     brandName = json['brandName'];
//     avatarUrl = json['avatarUrl'];
//     isLike = json['isLike'];
//     isFavorite = json['isFavorite'];
//   }

//   Map<String, dynamic> toJson() {
//     final Map<String, dynamic> data = new Map<String, dynamic>();
//     data['id'] = this.id;
//     data['createTime'] = this.createTime;
//     data['createBy'] = this.createBy;
//     data['updateTime'] = this.updateTime;
//     data['updateBy'] = this.updateBy;
//     data['title'] = this.title;
//     data['expression'] = this.expression;
//     data['solution'] = this.solution;
//     data['imgs'] = this.imgs;
//     data['brandId'] = this.brandId;
//     data['expert'] = this.expert;
//     data['reward'] = this.reward;
//     data['lockFlag'] = this.lockFlag;
//     data['hotFlag'] = this.hotFlag;
//     data['statuz'] = this.statuz;
//     data['favoriteNum'] = this.favoriteNum;
//     data['likeNum'] = this.likeNum;
//     data['browseNum'] = this.browseNum;
//     data['tipNum'] = this.tipNum;
//     data['examineFlag'] = this.examineFlag;
//     data['notExamineReason'] = this.notExamineReason;
//     data['validPeriod'] = this.validPeriod;
//     data['userName'] = this.userName;
//     data['brandName'] = this.brandName;
//     data['avatarUrl'] = this.avatarUrl;
//     data['isLike'] = this.isLike;
//     data['isFavorite'] = this.isFavorite;
//     return data;
//   }
// }

class SearchModel {
  String code;
  List<InfoList> infoList;

  SearchModel({this.code, this.infoList});

  SearchModel.fromJson(Map<String, dynamic> json) {
    if (json['code'] != null) {
      code = json['code'];
    }
    if (json['infoList'] != null) {
      infoList = new List<InfoList>();
      json['infoList'].forEach((v) {
        infoList.add(new InfoList.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.code != null) {
      data['code'] = this.code;
    }
    if (this.infoList != null) {
      data['infoList'] = this.infoList.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class InfoList {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String title;
  String expression;
  String solution;
  String imgs;
  int brandId;
  int expert;
  double reward;
  int lockFlag;
  int hotFlag;
  int statuz;
  int favoriteNum;
  int likeNum;
  int browseNum;
  int lookNum;
  String releaseUser;
  int tipNum;
  int examineFlag;
  String notExamineReason;
  int validPeriod;
  String userName;
  String brandName;
  String avatarUrl;
  int isLike;
  int isFavorite;
  String descr;
  String cover;
  String url;
  String userId;
  int payNum;
  int checkFlag;
  String checkComment;
  int platformFlag;
  String nickname;
  int favoriteId;
  int likeId;
  String job;
  double upperSalary;
  double lowerSalary;
  int upperWorking;
  int lowerWorking;
  int eduLevel;
  String address;
  int companyId;
  String info;
  int sort;
  String reason;
  String typeName;
  String eduName;
  Company company;
  int isApply;
  String name;
  double price;
  double discountPrice;
  String manufacturer;
  String telephone;
  String provinceName;
  String cityName;

  InfoList(
      {this.id,
      this.createTime,
      this.provinceName,
      this.cityName,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.title,
      this.expression,
      this.solution,
      this.imgs,
      this.brandId,
      this.expert,
      this.reward,
      this.lockFlag,
      this.hotFlag,
      this.statuz,
      this.favoriteNum,
      this.likeNum,
      this.browseNum,
      this.lookNum,
      this.releaseUser,
      this.tipNum,
      this.examineFlag,
      this.notExamineReason,
      this.validPeriod,
      this.userName,
      this.brandName,
      this.avatarUrl,
      this.isLike,
      this.isFavorite,
      this.descr,
      this.cover,
      this.url,
      this.userId,
      this.payNum,
      this.checkFlag,
      this.checkComment,
      this.platformFlag,
      this.nickname,
      this.favoriteId,
      this.likeId,
      this.job,
      this.upperSalary,
      this.lowerSalary,
      this.upperWorking,
      this.lowerWorking,
      this.eduLevel,
      this.address,
      this.companyId,
      this.info,
      this.sort,
      this.reason,
      this.typeName,
      this.eduName,
      this.company,
      this.isApply,
      this.name,
      this.price,
      this.discountPrice,
      this.manufacturer,
      this.telephone});

  InfoList.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    provinceName = json['provinceName'];
    cityName = json['cityName'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    title = json['title'];
    expression = json['expression'];
    solution = json['solution'];
    imgs = json['imgs'];
    brandId = json['brandId'];
    expert = json['expert'];
    reward = json['reward'];
    lockFlag = json['lockFlag'];
    hotFlag = json['hotFlag'];
    statuz = json['statuz'];
    favoriteNum = json['favoriteNum'];
    likeNum = json['likeNum'];
    browseNum = json['browseNum'];
    lookNum = json['lookNum'];
    releaseUser = json['releaseUser'];
    tipNum = json['tipNum'];
    examineFlag = json['examineFlag'];
    notExamineReason = json['notExamineReason'];
    validPeriod = json['validPeriod'];
    userName = json['userName'];
    brandName = json['brandName'];
    avatarUrl = json['avatarUrl'];
    isLike = json['isLike'];
    isFavorite = json['isFavorite'];
    descr = json['descr'];
    cover = json['cover'];
    url = json['url'];
    userId = json['userId'];
    payNum = json['payNum'];
    checkFlag = json['checkFlag'];
    checkComment = json['checkComment'];
    platformFlag = json['platformFlag'];
    nickname = json['nickname'];
    favoriteId = json['favoriteId'];
    likeId = json['likeId'];
    job = json['job'];
    upperSalary = json['upperSalary'];
    lowerSalary = json['lowerSalary'];
    upperWorking = json['upperWorking'];
    lowerWorking = json['lowerWorking'];
    eduLevel = json['eduLevel'];
    address = json['address'];
    companyId = json['companyId'];
    info = json['info'];
    sort = json['sort'];
    reason = json['reason'];
    typeName = json['typeName'];
    eduName = json['eduName'];
    company =
        json['company'] != null ? new Company.fromJson(json['company']) : null;
    isApply = json['isApply'];
    name = json['name'];
    price = json['price'];
    discountPrice = json['discountPrice'];
    manufacturer = json['manufacturer'];
    telephone = json['telephone'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['provinceName'] = this.provinceName;
    data['cityName'] = this.cityName;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['title'] = this.title;
    data['expression'] = this.expression;
    data['solution'] = this.solution;
    data['imgs'] = this.imgs;
    data['brandId'] = this.brandId;
    data['expert'] = this.expert;
    data['reward'] = this.reward;
    data['lockFlag'] = this.lockFlag;
    data['hotFlag'] = this.hotFlag;
    data['statuz'] = this.statuz;
    data['favoriteNum'] = this.favoriteNum;
    data['likeNum'] = this.likeNum;
    data['browseNum'] = this.browseNum;
    data['tipNum'] = this.tipNum;
    data['examineFlag'] = this.examineFlag;
    data['notExamineReason'] = this.notExamineReason;
    data['validPeriod'] = this.validPeriod;
    data['userName'] = this.userName;
    data['brandName'] = this.brandName;
    data['avatarUrl'] = this.avatarUrl;
    data['isLike'] = this.isLike;
    data['isFavorite'] = this.isFavorite;
    data['descr'] = this.descr;
    data['cover'] = this.cover;
    data['url'] = this.url;
    data['userId'] = this.userId;
    data['payNum'] = this.payNum;
    data['checkFlag'] = this.checkFlag;
    data['checkComment'] = this.checkComment;
    data['platformFlag'] = this.platformFlag;
    data['nickname'] = this.nickname;
    data['favoriteId'] = this.favoriteId;
    data['likeId'] = this.likeId;
    data['job'] = this.job;
    data['upperSalary'] = this.upperSalary;
    data['lowerSalary'] = this.lowerSalary;
    data['upperWorking'] = this.upperWorking;
    data['lowerWorking'] = this.lowerWorking;
    data['eduLevel'] = this.eduLevel;
    data['address'] = this.address;
    data['companyId'] = this.companyId;
    data['info'] = this.info;
    data['sort'] = this.sort;
    data['reason'] = this.reason;
    data['typeName'] = this.typeName;
    data['eduName'] = this.eduName;
    if (this.company != null) {
      data['company'] = this.company.toJson();
    }
    data['isApply'] = this.isApply;
    data['name'] = this.name;
    data['price'] = this.price;
    data['manufacturer'] = this.manufacturer;
    data['telephone'] = this.telephone;
    return data;
  }
}

class Company {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String name;
  String address;
  String corporator;
  String telephone;
  String mainbusiness;
  int type;
  String companySize;

  Company(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.name,
      this.address,
      this.corporator,
      this.telephone,
      this.mainbusiness,
      this.type,
      this.companySize});

  Company.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    name = json['name'];
    address = json['address'];
    corporator = json['corporator'];
    telephone = json['telephone'];
    mainbusiness = json['mainbusiness'];
    type = json['type'];
    companySize = json['companySize'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['name'] = this.name;
    data['address'] = this.address;
    data['corporator'] = this.corporator;
    data['telephone'] = this.telephone;
    data['mainbusiness'] = this.mainbusiness;
    data['type'] = this.type;
    data['companySize'] = this.companySize;
    return data;
  }
}
