class ShopModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  ShopModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  ShopModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String name;
  double price;
  int brandId;
  String descr;
  String imgs;
  String manufacturer;
  String telephone;
  int favoriteNum;
  int likeNum;
  int browseNum;
  int hotFlag;
  int statuz;
  int isFavorite;
  int favoriteId;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.name,
      this.price,
      this.brandId,
      this.descr,
      this.imgs,
      this.manufacturer,
      this.telephone,
      this.favoriteNum,
      this.likeNum,
      this.browseNum,
      this.hotFlag,
      this.statuz,
      this.isFavorite,
      this.favoriteId});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    name = json['name'];
    price = json['price'];
    brandId = json['brandId'];
    descr = json['descr'];
    imgs = json['imgs'];
    manufacturer = json['manufacturer'];
    telephone = json['telephone'];
    favoriteNum = json['favoriteNum'];
    likeNum = json['likeNum'];
    browseNum = json['browseNum'];
    hotFlag = json['hotFlag'];
    statuz = json['statuz'];
    isFavorite = json['isFavorite'];
    favoriteId = json['favoriteId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['name'] = this.name;
    data['price'] = this.price;
    data['brandId'] = this.brandId;
    data['descr'] = this.descr;
    data['imgs'] = this.imgs;
    data['manufacturer'] = this.manufacturer;
    data['telephone'] = this.telephone;
    data['favoriteNum'] = this.favoriteNum;
    data['likeNum'] = this.likeNum;
    data['browseNum'] = this.browseNum;
    data['hotFlag'] = this.hotFlag;
    data['statuz'] = this.statuz;
    data['isFavorite'] = this.isFavorite;
    data['favoriteId'] = this.favoriteId;
    return data;
  }
}