class QuestionModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  QuestionModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  QuestionModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String title;
  String expression;
  String solution;
  String imgs;
  int brandId;
  int expert;
  double reward;
  int lockFlag;
  int hotFlag;
  int statuz;
  int favoriteNum;
  int likeNum;
  int browseNum;
  int tipNum;
  int examineFlag;
  String notExamineReason;
  int validPeriod;
  String userName;
  String brandName;
  String avatarUrl;
  int isLike;
  int isFavorite;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.title,
      this.expression,
      this.solution,
      this.imgs,
      this.brandId,
      this.expert,
      this.reward,
      this.lockFlag,
      this.hotFlag,
      this.statuz,
      this.favoriteNum,
      this.likeNum,
      this.browseNum,
      this.tipNum,
      this.examineFlag,
      this.notExamineReason,
      this.validPeriod,
      this.userName,
      this.avatarUrl,
      this.brandName,
      this.isLike,
      this.isFavorite,});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    title = json['title'];
    expression = json['expression'];
    solution = json['solution'];
    imgs = json['imgs'];
    brandId = json['brandId'];
    expert = json['expert'];
    reward = json['reward'];
    lockFlag = json['lockFlag'];
    hotFlag = json['hotFlag'];
    statuz = json['statuz'];
    favoriteNum = json['favoriteNum'];
    likeNum = json['likeNum'];
    browseNum = json['browseNum'];
    tipNum = json['tipNum'];
    examineFlag = json['examineFlag'];
    notExamineReason = json['notExamineReason'];
    validPeriod = json['validPeriod'];
    userName = json['userName'];
    brandName = json['brandName'];
    avatarUrl = json['avatarUrl'];
    isLike = json['isLike'];
    isFavorite = json['isFavorite'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['title'] = this.title;
    data['expression'] = this.expression;
    data['solution'] = this.solution;
    data['imgs'] = this.imgs;
    data['brandId'] = this.brandId;
    data['expert'] = this.expert;
    data['reward'] = this.reward;
    data['lockFlag'] = this.lockFlag;
    data['hotFlag'] = this.hotFlag;
    data['statuz'] = this.statuz;
    data['favoriteNum'] = this.favoriteNum;
    data['likeNum'] = this.likeNum;
    data['browseNum'] = this.browseNum;
    data['tipNum'] = this.tipNum;
    data['examineFlag'] = this.examineFlag;
    data['notExamineReason'] = this.notExamineReason;
    data['validPeriod'] = this.validPeriod;
    data['userName'] = this.userName;
    data['brandName'] = this.brandName;
    data['avatarUrl'] = this.avatarUrl;
    data['isLike'] = this.isLike;
    data['isFavorite'] = this.isFavorite;
    return data;
  }
}