class VideoDetailModel {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String title;
  String descr;
  String cover;
  String url;
  int brandId;
  String userId;
  double reward;
  int favoriteNum;
  int likeNum;
  int browseNum;
  int hotFlag;
  int payNum;
  int statuz;
  int checkFlag;
  String checkComment;
  int platformFlag;
  String brandName;
  int isFavorite;
  int isLike;
  String avatarUrl;
  String nickname;
  int favoriteId;
  int likeId;

  VideoDetailModel(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.title,
      this.descr,
      this.cover,
      this.url,
      this.brandId,
      this.userId,
      this.reward,
      this.favoriteNum,
      this.likeNum,
      this.browseNum,
      this.hotFlag,
      this.payNum,
      this.statuz,
      this.checkFlag,
      this.checkComment,
      this.platformFlag,
      this.brandName,
      this.isFavorite,
      this.isLike,
      this.avatarUrl,
      this.nickname,
      this.favoriteId,
      this.likeId});

  VideoDetailModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    title = json['title'];
    descr = json['descr'];
    cover = json['cover'];
    url = json['url'];
    brandId = json['brandId'];
    userId = json['userId'];
    reward = json['reward'];
    favoriteNum = json['favoriteNum'];
    likeNum = json['likeNum'];
    browseNum = json['browseNum'];
    hotFlag = json['hotFlag'];
    payNum = json['payNum'];
    statuz = json['statuz'];
    checkFlag = json['checkFlag'];
    checkComment = json['checkComment'];
    platformFlag = json['platformFlag'];
    brandName = json['brandName'];
    isFavorite = json['isFavorite'];
    isLike = json['isLike'];
    avatarUrl = json['avatarUrl'];
    nickname = json['nickname'];
    favoriteId = json['favoriteId'];
    likeId = json['likeId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['title'] = this.title;
    data['descr'] = this.descr;
    data['cover'] = this.cover;
    data['url'] = this.url;
    data['brandId'] = this.brandId;
    data['userId'] = this.userId;
    data['reward'] = this.reward;
    data['favoriteNum'] = this.favoriteNum;
    data['likeNum'] = this.likeNum;
    data['browseNum'] = this.browseNum;
    data['hotFlag'] = this.hotFlag;
    data['payNum'] = this.payNum;
    data['statuz'] = this.statuz;
    data['checkFlag'] = this.checkFlag;
    data['checkComment'] = this.checkComment;
    data['platformFlag'] = this.platformFlag;
    data['brandName'] = this.brandName;
    data['isFavorite'] = this.isFavorite;
    data['isLike'] = this.isLike;
    data['avatarUrl'] = this.avatarUrl;
    data['nickname'] = this.nickname;
    data['favoriteId'] = this.favoriteId;
    data['likeId'] = this.likeId;
    return data;
  }
}