class NewsDetailItem {
  String release_id;
  int isLike;
  String release_date;
  String video_path;
  int top_serial;
  String district;
  String release_user;
  String id;
  String title;
  String content;
  String lookNum;

  NewsDetailItem({
    this.release_id = "",
    this.isLike = 0,
    this.release_date = "",
    this.video_path = "",
    this.top_serial = 0,
    this.district = "",
    this.release_user = "",
    this.id = "",
    this.title = "",
    this.content = "",
    this.lookNum = "",
  });

  NewsDetailItem.fromJsonMap(Map<String, dynamic> map)
      : release_id = map["release_id"],
        isLike = map["isLike"],
        release_date = map["release_date"],
        video_path = map["video_path"],
        top_serial = map["top_serial"],
        district = map["district"],
        release_user = map["release_user"],
        id = map["id"],
        title = map["title"],
        content = map["content"],
        lookNum = map["lookNum"];

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['release_id'] = release_id;
    data['isLike'] = isLike;
    data['release_date'] = release_date;
    data['video_path'] = video_path;
    data['top_serial'] = top_serial;
    data['district'] = district;
    data['release_user'] = release_user;
    data['id'] = id;
    data['title'] = title;
    data['content'] = content;
    data['lookNum'] = lookNum;
    return data;
  }
}
