class LiftDetailItem{
  String createDate;
  String creatorId;
  String updateDate;
  String updateId;
  String id;
  String registrationCode;
  int category;
  int liftType;
  String categoryName;
  String liftCode;
  String manufactureDate;
  String factoryCode;
  int deviceUsage;
  String deviceUsageName;
  String liftBrand;
  String installCompany;
  String liftModel;
  String pulleyDiameter;
  String ropeNum;
  String lockModel;
  String ratedLoad;
  String promoteHeight;
  String stepWidth;
  String sidewalkLength;
  String tiltAngle;
  String motorPower;
  String ratedSpeed;
  String layerStationDoor;
  String clampType;
  String reformCompany;
  String devicePosition;
  String coordinate;
  String remarks;
  String steelBelt;
  String cylinderType;
  String cylinderNum;
  String topType;
  String controlType;
  String mpa;
  String factory;
  String customNumber;
  String useCompanyCode;
  String devicePositionCode;
  String agency;
  String reformDate;
  String installDate;
  String innerFloor;
  String annualInspectionDate;
  String areaCode;
  String deviceId;
  String deviceType;
  String liftStatus;
  String workerName;
  String workerId;

  LiftDetailItem(
      {this.createDate = "",
        this.creatorId= "",
        this.updateDate = "",
        this.updateId = "",
        this.id = "",
        this.registrationCode = "",
        this.category = 0,
        this.liftType = 0,
        this.categoryName = "",
        this.liftCode = "",
        this.manufactureDate = "",
        this.factoryCode = "",
        this.deviceUsage = 0,
        this.deviceUsageName="",
        this.liftBrand = "",
        this.installCompany = "",
        this.liftModel = "",
        this.pulleyDiameter = "",
        this.ropeNum = "",
        this.lockModel = "",
        this.ratedLoad = "",
        this.promoteHeight = "",
        this.stepWidth = "",
        this.sidewalkLength = "",
        this.tiltAngle = "",
        this.motorPower = "",
        this.ratedSpeed = "",
        this.layerStationDoor = "",
        this.clampType = "",
        this.reformCompany = "",
        this.devicePosition = "",
        this.coordinate = "",
        this.remarks = "",
        this.steelBelt = "",
        this.cylinderType = "",
        this.cylinderNum = "",
        this.topType = "",
        this.controlType = "",
        this.mpa = "",
        this.factory = "",
        this.customNumber = "",
        this.useCompanyCode = "",
        this.devicePositionCode = "",
        this.agency = "",
        this.reformDate = "",
        this.installDate = "",
        this.innerFloor = "",
        this.annualInspectionDate = "",
        this.areaCode = "",
        this.deviceId = "",
        this.deviceType = "",
        this.liftStatus = "",
        this.workerName = "",
        this.workerId = ""});

  LiftDetailItem.fromJsonMap(Map<String, dynamic> json) {
    createDate = json['createDate']??"";
    creatorId = json['creatorId']??"";
    updateDate = json['updateDate']??"";
    updateId = json['updateId']??"";
    id = json['id']??"";
    registrationCode = json['registrationCode']??"";
    category = json['category']??0;
    liftType = json['liftType']??0;
    liftCode = json['liftCode']??"";
    manufactureDate = json['manufactureDate']??"";
    factoryCode = json['factoryCode']??"";
    deviceUsage =json['deviceUsage'];
    liftBrand = "${json['liftBrand']}";
    installCompany = "${json['installCompany']}";
    liftModel = "${json['liftModel']}";
    pulleyDiameter = "${json['pulleyDiameter']}";
    ropeNum = "${json['ropeNum']}";
    lockModel = "${json['lockModel']}";
    ratedLoad = "${json['ratedLoad']}";
    promoteHeight = "${json['promoteHeight']}";
    stepWidth = "${json['stepWidth']}";
    sidewalkLength = "${json['sidewalkLength']}";
    tiltAngle = "${json['tiltAngle']}";
    motorPower = "${json['motorPower']}";
    ratedSpeed = "${json['ratedSpeed']}";
    layerStationDoor = "${json['layerStationDoor']}";
    clampType = "${json['clampType']}";
    reformCompany = "${json['reformCompany']}";
    devicePosition = "${json['devicePosition']}";
    coordinate = "${json['coordinate']??""}";
    remarks = "${json['remarks']}";
    steelBelt = "${json['steelBelt']}";
    cylinderType = "${json['cylinderType']}";
    cylinderNum = "${json['cylinderNum']}";
    topType = "${json['topType']}";
    controlType = "${json['controlType']}";
    mpa = "${json['mpa']}";
    factory = "${json['factory']}";
    customNumber = "${json['customNumber']}";
    useCompanyCode = "${json['useCompanyCode']}";
    devicePositionCode = "${json['devicePositionCode']}";
    agency = "${json['agency']}";
    reformDate = "${json['reformDate']}";
    installDate = "${json['installDate']}";
    innerFloor = "${json['innerFloor']}";
    annualInspectionDate = "${json['annualInspectionDate']}";
    areaCode = "${json['areaCode']}";
    deviceId = "${json['deviceId']}";
    deviceType = json['deviceType']??"";
    liftStatus = "${json['liftStatus']}";
    workerName = "${json['workerName']}";
    workerId = "${json['workerId']}";
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['createDate'] = this.createDate;
    data['creatorId'] = this.creatorId;
    data['updateDate'] = this.updateDate;
    data['updateId'] = this.updateId;
    data['id'] = this.id;
    data['registrationCode'] = this.registrationCode;
    data['category'] = this.category;
    data['liftType'] = this.liftType;
    data['liftCode'] = this.liftCode;
    data['manufactureDate'] = this.manufactureDate;
    data['factoryCode'] = this.factoryCode;
    data['deviceUsage'] = this.deviceUsage;
    data['liftBrand'] = this.liftBrand;
    data['installCompany'] = this.installCompany;
    data['liftModel'] = this.liftModel;
    data['pulleyDiameter'] = this.pulleyDiameter;
    data['ropeNum'] = this.ropeNum;
    data['lockModel'] = this.lockModel;
    data['ratedLoad'] = this.ratedLoad;
    data['promoteHeight'] = this.promoteHeight;
    data['stepWidth'] = this.stepWidth;
    data['sidewalkLength'] = this.sidewalkLength;
    data['tiltAngle'] = this.tiltAngle;
    data['motorPower'] = this.motorPower;
    data['ratedSpeed'] = this.ratedSpeed;
    data['layerStationDoor'] = this.layerStationDoor;
    data['clampType'] = this.clampType;
    data['reformCompany'] = this.reformCompany;
    data['devicePosition'] = this.devicePosition;
    data['coordinate'] = this.coordinate;
    data['remarks'] = this.remarks;
    data['steelBelt'] = this.steelBelt;
    data['cylinderType'] = this.cylinderType;
    data['cylinderNum'] = this.cylinderNum;
    data['topType'] = this.topType;
    data['controlType'] = this.controlType;
    data['mpa'] = this.mpa;
    data['factory'] = this.factory;
    data['customNumber'] = this.customNumber;
    data['useCompanyCode'] = this.useCompanyCode;
    data['devicePositionCode'] = this.devicePositionCode;
    data['agency'] = this.agency;
    data['reformDate'] = this.reformDate;
    data['installDate'] = this.installDate;
    data['innerFloor'] = this.innerFloor;
    data['annualInspectionDate'] = this.annualInspectionDate;
    data['areaCode'] = this.areaCode;
    data['deviceId'] = this.deviceId;
    data['deviceType'] = this.deviceType;
    data['liftStatus'] = this.liftStatus;
    data['workerName'] = this.workerName;
    data['workerId'] = this.workerId;
    return data;
  }
}