class SignConfigItem {
  String topTime;
  String downTime;
  int isUpdown;
  String topTimePm;
  String downTimePm;
  String topTimeOt;
  String downTimeOt;

  SignConfigItem(
      {this.topTime = "",
      this.downTime = "",
      this.isUpdown = 0,
      this.topTimePm = "",
      this.downTimePm = "",
      this.topTimeOt = "",
      this.downTimeOt = ""});

  SignConfigItem.fromJsonMap(Map<String, dynamic> map)
      : topTime = map["topTime"] ?? "",
        downTime = map["downTime"] ?? "",
        isUpdown = map["isUpdown"],
        topTimePm = map["topTimePm"] ?? "",
        downTimePm = map["downTimePm"] ?? "",
        topTimeOt = map["topTimeOt"] ?? "",
        downTimeOt = map["downTimeOt"] ?? "";

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['topTime'] = topTime;
    data['downTime'] = downTime;
    data['isUpdown'] = isUpdown;
    data['topTimePm'] = topTimePm;
    data['downTimePm'] = downTimePm;
    data['topTimeOt'] = topTimeOt;
    data['downTimeOt'] = downTimeOt;
    return data;
  }
}
