class TeamCurrentEntity {

  MaintenanceCompany maintenanceCompany;

	TeamCurrentEntity.fromJsonMap(Map<String, dynamic> map): 
		maintenanceCompany = MaintenanceCompany.fromJsonMap(map["maintenanceCompany"]);

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['maintenanceCompany'] = maintenanceCompany == null ? null : maintenanceCompany.toJson();
		return data;
	}
}


class MaintenanceCompany {

	String id;
	String name;
	String address;
	String registeredCapital;
	String corporator;
	String telephone;
	String mainbusiness;
	String businessLicenseCode;
	String businessLicenseAnnex;
	String remarks;
	int isCertificated;
	int status;
	String creatorId;
	String createDate;
	int level;
	String logoImg;
	String topTimePm;
	String downTimePm;
	String topTimeOt;
	String downTimeOt;
	int isUpdown;
	int vipFlag;
	int userNum;
	bool currentTeamFlag;

	MaintenanceCompany.fromJsonMap(Map<String, dynamic> map):
				id = map["id"],
				name = map["name"],
				address = map["address"],
				registeredCapital = map["registeredCapital"],
				corporator = map["corporator"],
				telephone = map["telephone"],
				mainbusiness = map["mainbusiness"],
				businessLicenseCode = map["businessLicenseCode"],
				businessLicenseAnnex = map["businessLicenseAnnex"],
				remarks = map["remarks"],
				isCertificated = map["isCertificated"],
				status = map["status"],
				creatorId = map["creatorId"],
				createDate = map["createDate"],
				level = map["level"],
				logoImg = map["logoImg"],
				topTimePm = map["topTimePm"],
				downTimePm = map["downTimePm"],
				topTimeOt = map["topTimeOt"],
				downTimeOt = map["downTimeOt"],
				isUpdown = map["isUpdown"],
				vipFlag = map["vipFlag"],
				userNum = map["userNum"],
				currentTeamFlag = map["currentTeamFlag"];

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['id'] = id;
		data['name'] = name;
		data['address'] = address;
		data['registeredCapital'] = registeredCapital;
		data['corporator'] = corporator;
		data['telephone'] = telephone;
		data['mainbusiness'] = mainbusiness;
		data['businessLicenseCode'] = businessLicenseCode;
		data['businessLicenseAnnex'] = businessLicenseAnnex;
		data['remarks'] = remarks;
		data['isCertificated'] = isCertificated;
		data['status'] = status;
		data['creatorId'] = creatorId;
		data['createDate'] = createDate;
		data['level'] = level;
		data['logoImg'] = logoImg;
		data['topTimePm'] = topTimePm;
		data['downTimePm'] = downTimePm;
		data['topTimeOt'] = topTimeOt;
		data['downTimeOt'] = downTimeOt;
		data['isUpdown'] = isUpdown;
		data['vipFlag'] = vipFlag;
		data['userNum'] = userNum;
		data['currentTeamFlag'] = currentTeamFlag;
		return data;
	}
}
