class PiaoOrderModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  PiaoOrderModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  PiaoOrderModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String expression;
  String usedMethods;
  String imgs;
  int brandId;
  String sessionId;
  String address;
  String chargerId;
  double travelCost;
  double serviceCost;
  double totalCost;
  double payCost;
  int arrivedTime;
  int statuz;
  int acceptStatus;
  int arrivedFlag;
  String arrivedAddress;
  int dataTable;
  String createUserId;
  String customerServiceId;
  String name;
  String avatarUrl;
  String brandName;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.expression,
      this.usedMethods,
      this.imgs,
      this.brandId,
      this.sessionId,
      this.address,
      this.chargerId,
      this.travelCost,
      this.serviceCost,
      this.payCost,
      this.totalCost,
      this.arrivedTime,
      this.statuz,
      this.acceptStatus,
      this.arrivedFlag,
      this.arrivedAddress,
      this.dataTable,
      this.createUserId,
      this.customerServiceId,
      this.name,
      this.avatarUrl,
      this.brandName});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    expression = json['expression'];
    usedMethods = json['usedMethods'];
    imgs = json['imgs'];
    brandId = json['brandId'];
    sessionId = json['sessionId'];
    payCost = json['payCost'];
    address = json['address'];
    chargerId = json['chargerId'];
    travelCost = json['travelCost'];
    serviceCost = json['serviceCost'];
    totalCost = json['totalCost'];
    arrivedTime = json['arrivedTime'];
    statuz = json['statuz'];
    acceptStatus = json['acceptStatus'];
    arrivedFlag = json['arrivedFlag'];
    arrivedAddress = json['arrivedAddress'];
    dataTable = json['dataTable'];
    createUserId = json['createUserId'];
    customerServiceId = json['customerServiceId'];
    name = json['name'];
    avatarUrl = json['avatarUrl'];
    brandName = json['brandName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['expression'] = this.expression;
    data['usedMethods'] = this.usedMethods;
    data['imgs'] = this.imgs;
    data['payCost'] = this.payCost;
    data['brandId'] = this.brandId;
    data['sessionId'] = this.sessionId;
    data['address'] = this.address;
    data['chargerId'] = this.chargerId;
    data['travelCost'] = this.travelCost;
    data['serviceCost'] = this.serviceCost;
    data['totalCost'] = this.totalCost;
    data['arrivedTime'] = this.arrivedTime;
    data['statuz'] = this.statuz;
    data['acceptStatus'] = this.acceptStatus;
    data['arrivedFlag'] = this.arrivedFlag;
    data['arrivedAddress'] = this.arrivedAddress;
    data['dataTable'] = this.dataTable;
    data['createUserId'] = this.createUserId;
    data['customerServiceId'] = this.customerServiceId;
    data['name'] = this.name;
    data['avatarUrl'] = this.avatarUrl;
    data['brandName'] = this.brandName;
    return data;
  }
}